string.h(3)

NAME
string.h -

SYNOPSIS

  Macros
#define _FFS(x)

  Functions
int ffs (int __val)
int ffsl (long __val)
__extension__ int ffsll (long long __val)
void * memccpy (void *, const void *, int, size_t)
void * memchr (const void *, int, size_t) __ATTR_PURE__
int memcmp (const void *, const void *, size_t) __ATTR_PURE__
void * memcpy (void *, const void *, size_t)
void * memmem (const void *, size_t, const void *, size_t) __ATTR_PURE__
void * memmove (void *, const void *, size_t)
void * memrchr (const void *, int, size_t) __ATTR_PURE__
void * memset (void *, int, size_t)
char * strcat (char *, const char *)
char * strchr (const char *, int) __ATTR_PURE__
char * strchrnul (const char *, int) __ATTR_PURE__
int strcmp (const char *, const char *) __ATTR_PURE__
char * strcpy (char *, const char *)
int strcasecmp (const char *, const char *) __ATTR_PURE__
char * strcasestr (const char *, const char *) __ATTR_PURE__
size_t strcspn (const char *__s, const char *__reject) __ATTR_PURE__
char * strdup (const char *s1)
size_t strlcat (char *, const char *, size_t)
size_t strlcpy (char *, const char *, size_t)
size_t strlen (const char *) __ATTR_PURE__
char * strlwr (char *)
char * strncat (char *, const char *, size_t)
int strncmp (const char *, const char *, size_t) __ATTR_PURE__
char * strncpy (char *, const char *, size_t)
int strncasecmp (const char *, const char *, size_t) __ATTR_PURE__
size_t strnlen (const char *, size_t) __ATTR_PURE__
char * strpbrk (const char *__s, const char *__accept) __ATTR_PURE__
char * strrchr (const char *, int) __ATTR_PURE__
char * strrev (char *)
char * strsep (char **, const char *)
size_t strspn (const char *__s, const char *__accept) __ATTR_PURE__
char * strstr (const char *, const char *) __ATTR_PURE__
char * strtok (char *, const char *)
char * strtok_r (char *, const char *, char **)
char * strupr (char *)

Author

Generated automatically by Doxygen for avr-libc from the source code.